Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | List of all members
TelnetDebugger Class Reference

`#include <telnetDebugger.h>`

## Public Member Functions
void | disconnect ()
bool | isConnected () const
void | process ()
void | popStackFrame ()
void | pushStackFrame ()
void | addAllBreakpoints (CodeBlock *code)
void | clearCodeBlockPointers (CodeBlock *code)
virtual void | executionStopped (CodeBlock *code, U32 lineNumber)
void | send (const char *s)
void | setDebugParameters (S32 port, const char *password, bool waitForClient)
void | processConsoleLine (const char *consoleLine)

## Static Public Member Functions
static void | create ()
static void | destroy ()

## Detailed Description

Telnet debug service implementation.

This is the C++ side of the built-in Torque debugger.

To use the debugger, use dbgSetParameters(port, password); in the console of the server to enable debugger connections. Then on some other system, start up the app (you don't have to start a game or connect to the server) and exec("common/debugger/debugger.cs"); in the console. Then use the debugger GUI to connect to the server with the right port and password.

See also
  http://www.planettribes.com/tribes2/editing.shtml for more thorough discussion.

## Member Function Documentation

void addAllBreakpoints | ( | CodeBlock * | code | ) |

void clearCodeBlockPointers | ( | CodeBlock * | code | ) |

void create | ( |  | ) |
| static

void destroy | ( | void |  | ) |
| static

void disconnect | ( |  | ) |

void executionStopped | ( | CodeBlock * | code,
|  | U32 | lineNumber
| ) |  |
| virtual

bool isConnected | ( |  | ) | const
| inline

void popStackFrame | ( |  | ) |

void process | ( |  | ) |

void processConsoleLine | ( | const char * | consoleLine | ) |

void pushStackFrame | ( |  | ) |

void send | ( | const char * | s | ) |

void setDebugParameters | ( | S32 | port,
|  | const char * | password,
|  | bool | waitForClient
| ) |  |

The documentation for this class was generated from the following files:

- debug/telnetDebugger.h
- debug/telnetDebugger.cc